%define upstream_name    Package-DeprecationManager
%define upstream_version 0.18

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Manage deprecation warnings for your distribution
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Package/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Package::Stash)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Sub::Install)
BuildRequires: perl(Sub::Util)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module allows you to manage a set of deprecations for one or more
modules.

When you import 'Package::DeprecationManager', you must provide a set of
'-deprecations' as a hash ref. The keys are "feature" names, and the values
are the version when that feature was deprecated.

In many cases, you can simply use the fully qualified name of a subroutine
or method as the feature name. This works for cases where the whole
subroutine is deprecated. However, the feature names can be any string.
This is useful if you don't want to deprecate an entire subroutine, just a
certain usage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.180.0-2.mga10
+ Revision: 2217975
- Mageia 10 Mass Rebuild

* Mon Feb 20 2023 tv <tv> 0.180.0-1.mga9
+ Revision: 1944267
- update to 0.18

* Mon Mar 21 2022 umeabot <umeabot> 0.170.0-4.mga9
+ Revision: 1809975
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.170.0-3.mga8
+ Revision: 1505834
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.170.0-2.mga7
+ Revision: 1285479
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 0.170.0-1.mga7
+ Revision: 1128861
- update to 0.17

* Sun Jun 19 2016 pterjan <pterjan> 0.160.0-2.mga6
+ Revision: 1031603
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.160.0-1.mga6
+ Revision: 1002282
- update to 0.16

* Sat Jan 16 2016 shlomif <shlomif> 0.150.0-1.mga6
+ Revision: 923873
- update to 0.15

* Sat Jul 04 2015 sander85 <sander85> 0.140.0-1.mga6
+ Revision: 850044
- update to 0.14

* Wed Oct 15 2014 umeabot <umeabot> 0.130.0-5.mga5
+ Revision: 743117
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.130.0-4.mga5
+ Revision: 685849
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.130.0-3.mga4
+ Revision: 513876
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.130.0-2.mga3
+ Revision: 371338
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.130.0-1.mga3
+ Revision: 255284
- update to 0.13

* Mon Mar 05 2012 jquelin <jquelin> 0.120.0-1.mga2
+ Revision: 218780
- update to 0.12

* Tue Jun 21 2011 jquelin <jquelin> 0.110.0-1.mga2
+ Revision: 111445
- update to 0.11

* Fri Jan 21 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 29172
- mageia rebuild
- cleaning spec file
- imported package perl-Package-DeprecationManager

